Name:           perl-CPAN
Version:        1.9600
Release:        1%{?dist}
Summary:        Query, download and build perl modules from CPAN sites
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CPAN/
Source0:        http://www.cpan.org/authors/id/A/AN/ANDK/CPAN-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.004
BuildRequires:  perl(Archive::Tar)
BuildRequires:  perl(Archive::Zip)
BuildRequires:  perl(Compress::Bzip2)
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(CPAN::Checksums)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(HTTP::Tiny)
BuildRequires:  perl(IO::Compress::Base)
BuildRequires:  perl(IO::Zlib)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::Signature)
BuildRequires:  perl(Parse::CPAN::Meta)
BuildRequires:  perl(Term::ReadKey)
BuildRequires:  perl(Test::Harness) >= 2.62
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Text::Glob)
BuildRequires:  perl(YAML)
BuildRequires:  perl(YAML::Syck)
BuildRequires:  perl(YAML::XS)
Requires:       perl(Archive::Tar)
Requires:       perl(Archive::Zip)
Requires:       perl(Compress::Bzip2)
Requires:       perl(Compress::Zlib)
Requires:       perl(CPAN::Checksums)
Requires:       perl(Digest::SHA)
Requires:       perl(ExtUtils::CBuilder)
Requires:       perl(File::HomeDir)
Requires:       perl(File::Which)
Requires:       perl(HTTP::Tiny)
Requires:       perl(IO::Compress::Base)
Requires:       perl(IO::Zlib)
Requires:       perl(LWP::UserAgent)
Requires:       perl(Module::Build)
Requires:       perl(Module::Signature)
Requires:       perl(Parse::CPAN::Meta)
Requires:       perl(Term::ReadKey)
Requires:       perl(Test::Harness) >= 2.62
Requires:       perl(Test::More)
Requires:       perl(Text::Glob)
Requires:       perl(YAML)
Requires:       perl(YAML::Syck)
Requires:       perl(YAML::XS)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The CPAN module automates or at least simplifies the make and install of
perl modules and extensions. It includes some primitive searching
capabilities and knows how to use LWP, HTTP::Tiny, Net::FTP and certain
external download clients to fetch distributions from the net.

%prep
%setup -q -n CPAN-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes PAUSE2003.pub PAUSE2005.pub PAUSE2007.pub PAUSE2009.pub PAUSE2011.pub README SlayMakefile Todo
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Sun Mar 13 2011 Dave Cross <dave@mag-sol.com> 1.9600-1
- Specfile autogenerated by cpanspec 1.78.
